IOSS 2.0

Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | List of all members
Skinner::Interface Class Reference

`#include <skinner_interface.h>`

## Public Member Functions
| Interface ()
| ~Interface ()
bool | parse_options (int argc, char **argv)
bool | ints_64_bit () const
bool | no_output () const
std::string | input_filename () const
std::string | output_filename () const
std::string | input_type () const
std::string | output_type () const

## Public Attributes
std::string | decomp_method
std::string | compose_output
int | compression_level
bool | shuffle
bool | debug
bool | statistics
bool | ints64Bit_
bool | netcdf4
bool | ignoreFaceIds_
bool | noOutput_

## Private Member Functions
void | enroll_options ()

## Private Attributes
Ioss::GetLongOption | options_
std::string | inputFile_
std::string | outputFile_
std::string | inFiletype_
std::string | outFiletype_

## Constructor & Destructor Documentation

## ◆ Interface()

Skinner::Interface::Interface | ( |  | ) |

## ◆ ~Interface()

Skinner::Interface::~Interface | ( |  | ) |
| default

## Member Function Documentation

## ◆ enroll_options()

void Skinner::Interface::enroll_options | ( |  | ) |
| private

## ◆ input_filename()

std::string Skinner::Interface::input_filename | ( |  | ) | const
| inline

## ◆ input_type()

std::string Skinner::Interface::input_type | ( |  | ) | const
| inline

## ◆ ints_64_bit()

bool Skinner::Interface::ints_64_bit | ( |  | ) | const
| inline

## ◆ no_output()

bool Skinner::Interface::no_output | ( |  | ) | const
| inline

## ◆ output_filename()

std::string Skinner::Interface::output_filename | ( |  | ) | const
| inline

## ◆ output_type()

std::string Skinner::Interface::output_type | ( |  | ) | const
| inline

## ◆ parse_options()

bool Skinner::Interface::parse_options | ( | int | argc,
|  | char ** | argv
| ) |  |

## Member Data Documentation

## ◆ compose_output

std::string Skinner::Interface::compose_output

## ◆ compression_level

int Skinner::Interface::compression_level

## ◆ debug

bool Skinner::Interface::debug

## ◆ decomp_method

std::string Skinner::Interface::decomp_method

## ◆ ignoreFaceIds_

bool Skinner::Interface::ignoreFaceIds_

## ◆ inFiletype_

std::string Skinner::Interface::inFiletype_
| private

## ◆ inputFile_

std::string Skinner::Interface::inputFile_
| private

## ◆ ints64Bit_

bool Skinner::Interface::ints64Bit_

## ◆ netcdf4

bool Skinner::Interface::netcdf4

## ◆ noOutput_

bool Skinner::Interface::noOutput_

## ◆ options_

Ioss::GetLongOption Skinner::Interface::options_
| private

## ◆ outFiletype_

std::string Skinner::Interface::outFiletype_
| private

## ◆ outputFile_

std::string Skinner::Interface::outputFile_
| private

## ◆ shuffle

bool Skinner::Interface::shuffle

## ◆ statistics

bool Skinner::Interface::statistics

The documentation for this class was generated from the following files:

- src/main/skinner_interface.h
- src/main/skinner_interface.C